Инфо DLE и FastCGI

Тема в разделе "DLE", создана пользователем 4warez, 17 апр 2010.

Информация :
Актуальная версия DataLife Engine 11.3
( Final Release v.11.3 | Скачать DataLife Engine | Скачать 11.3 demo )
Нужно ли обновляться | Как обновиться | Изменения в шаблонах
> Нет русских символов <
[Приватная тема DLE (Все подробности в ЛС к модератору раздела)]

Версии 11.2 и ниже - уязвимы!

Локализации | F.A.Q. | Внешний вид
Правила раздела | Правила форума
Обсуждение хайда карается баном!
В каждом сообщении указывайте версию DLE, которого они касаются!
Статус темы:
Закрыта.
Модераторы: killoff
  1. 4warez

    4warez Прохожие

    1)DLE 8.5
    2)Nulled by MidTeam
    3)Все наверное сталкивались с выбором метода авторизации в админпанели, и у тех кто не имеет PHP установленый как модуль Apache, а как FastCGI, существует проблема с раширенным методом авторизации, заключающаяся в том, что при выборе данного метода, невозможно попасть в админ панель.
    Оказывается, расширенная авторизация в DLE подразумевает HTTP авторизацию и да ключей PHP_AUTH_USER и PHP_AUTH_PW в массиве $_SERVER нет когда PHP в виде FastCGI.
    Но, их можно спокойно вернуть, если даже и PHP в виде FastCGI.
    А точнее, в файле ./engine/inc/include/init.php найти:
    Добавить после:
    И вуаля, расширенная авторитизация работает даже когда PHP в виде FastCGI.
    Встает вопрос, за что же я плачу при покупке DLE?
    За недоработанную CMS?
    автор хака: Перейти по ссылке
     
Статус темы:
Закрыта.